CastorMarshallerBeanDefinitionParser (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.oxm.config

## Class CastorMarshallerBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser
      - - org.springframework.oxm.config.CastorMarshallerBeanDefinitionParser

- All Implemented Interfaces:
    BeanDefinitionParser

      public class CastorMarshallerBeanDefinitionParser
      extends AbstractSimpleBeanDefinitionParser

  Parser for the `&lt;oxm:castor-marshaller/&gt;` element.
  Since:
    3.1
  Author:
    Jakub Narloch

- - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CastorMarshallerBeanDefinitionParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getBeanClassName(Element element)` Determine the bean class name corresponding to the supplied `Element`.

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser

      `doParse, extractPropertyName, isEligibleAttribute, isEligibleAttribute, isEligibleAttribute, postProcess`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, getBeanClass, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CastorMarshallerBeanDefinitionParser

          public CastorMarshallerBeanDefinitionParser()

  - ### Method Detail

    - #### getBeanClassName

          protected String getBeanClassName(Element element)

      Description copied from class: `AbstractSingleBeanDefinitionParser`
      Determine the bean class name corresponding to the supplied `Element`.
      Overrides:
        `getBeanClassName` in class `AbstractSingleBeanDefinitionParser`
      Parameters:
        `element` - the `Element` that is being parsed
      Returns:
        the class name of the bean that is being defined via parsing the supplied `Element`, or `null` if none
      See Also:
        `AbstractSingleBeanDefinitionParser.getBeanClass(org.w3c.dom.Element)`